		var edh = document.getElementById('edH');
		var edhead = document.getElementById('headcon');
		
		edh.onmouseover = function (){edhead.style.display='block';}
		edh.onmouseout = function (){if (document.activeElement != edh) edhead.style.display='none';}
		edh.onfocus = function (){edhead.style.display='block';}
		//edh.onfocusout = function () {edhead.style.display='none';}
		
		
		var edt = document.getElementById('edT');
		var edtxt = document.getElementById('textcon');
		
		edt.onmouseover = function (){edtxt.style.display='block';}
		edt.onmouseout = function (){if (document.activeElement != edt) edtxt.style.display='none';}
		edt.onfocus = function (){edtxt.style.display='block';}
		//edt.onfocusout = function () {edtxt.style.display='none';}
		
		
		var list = document.getElementsByClassName('ed-control');
		
		
		for (i = 0; i < list.length; i++) {
			if (list[i] != edh && list[i] != edt)
				list[i].onfocus = function(){
					edtxt.style.display='none';
					edhead.style.display='none';
				};
		}
		
		
		
		function controlsoff() {
			var i;
			for (i = 0; i < list.length; i++)
				list[i].setAttribute('tabindex','-1');
			edhead.style.display = 'none';
			edtxt.style.display = 'none';
		}
		
		function controlson() {
			var i;
			for (i = 0; i < list.length; i++)
				list[i].removeAttribute('tabindex');
			edh.setAttribute('tabindex','0');
			edt.setAttribute('tabindex','0');
		}
		
		
		
		var ar = ['edh0','edh1','edh2','edh3','edt0','edt1','edt2','edt3','edt4','edt5'];
		function hfocus(idval) {
			document.getElementById(idval).onfocus = function() { this.parentNode.style.display = 'block'; }
			document.getElementById(idval).onfocusout = function() { this.parentNode.style.display = 'none'; }
		}
		ar.forEach(hfocus);
		
		
		window.onload = function() {
			var _code = document.getElementById('output').value;
			document.getElementById('editor').innerHTML = _code;
		}

		
		function update_output() {
			var editable_content = document.getElementById('editor').innerHTML;
			document.getElementById('output').value = editable_content;

		}

		var edtr = document.getElementById('editor');
		edtr.onkeyup = function() { update_output(); warning(); }
		edtr.onpaste = function() {warning();}
		edtr.onblur = function() {update_output();}
		edtr.ondrop = function(event) {event.preventDefault();}

		var elem = document.getElementsByClassName('ed-control');


		for (var i = 0; i < elem.length; i++) {

			elem[i].onclick = function() {

				var th = this.getAttribute('data-insert');
				switch(th) {
					case 'h1':
					case 'h2':
					case 'h3':
					case 'h4':
						document.execCommand('formatBlock', false, th);
						break;

					case 'div':
						if (document.getElementById('monreadmoreHr') == null || (document.getElementById('monreadmoreHr') != null &&
						edtr.contains(document.getElementById('monreadmoreHr')) === false))

						 {

							document.execCommand('formatBlock', false,th);
							document.execCommand('insertHorizontalRule', false);
							var hrs = document.getElementsByTagName('hr');
							var l;

							 for (l=0; l<hrs.length; l++)
							 if (edtr.contains(hrs[l]))
								 hrs[l].setAttribute('id','monreadmoreHr')	

						}

						else
							return false;

						warning();
						break;


					case 'createLink':
						document.execCommand(th, false, prompt('Link url:','http://'));
						break;

					case 'insertImage':
						document.execCommand(th, false, prompt('Insert image url:','http://'));
						break;

					case 'foreColor':
						document.execCommand('styleWithCSS',false,true);
						document.execCommand(th, false, prompt('Font color:','grey'));
						break;


					default:
						document.execCommand('styleWithCSS',false,true);
						document.execCommand(th, false, null);
						warning();
						break;
				}

				update_output();

			}
		}

		
		var out = document.getElementById('output-container');
		var dis = document.getElementById('disable');
		var outp = document.getElementById('output');
		var tog = document.getElementById('toggle-code');
		var upd = document.getElementById('update');

		tog.onkeypress = function(){ if (event.key == 'Enter') togCode();};
		upd.onkeypress = function(){ if (event.key == 'Enter') updateCode();};
		
		
		function togCode() {
			
			out.setAttribute('class','');
			edtr.setAttribute('class','hide');
			tog.setAttribute('class','hide');
			dis.setAttribute('class','');
			upd.setAttribute('class','');
			controlsoff();
		}

		function updateCode(){

			var content = outp.value;
			edtr.innerHTML = content;
			upd.setAttribute('class','hide');
			out.setAttribute('class','hide');
			edtr.setAttribute('class','');
			dis.setAttribute('class','hide');
			tog.setAttribute('class','');
			controlson();
		}